Skip to main content
POST
/
firework
/
v4
/
events
/
tenant
/
_search
List Tenant Events
curl --request POST \
  --url https://api.flare.io/firework/v4/events/tenant/_search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": {},
  "size": 123,
  "from": "<string>",
  "order": "<string>",
  "filters": {
    "severity": [
      "<string>"
    ],
    "type": [
      "<string>"
    ],
    "estimated_created_at": {
      "gt": "<string>",
      "gte": "<string>",
      "lt": "<string>",
      "lte": "<string>"
    },
    "tags": [
      "<string>"
    ],
    "is_ignored": true,
    "is_remediated": true
  }
}
'
import requests

url = "https://api.flare.io/firework/v4/events/tenant/_search"

payload = {
"query": {},
"size": 123,
"from": "<string>",
"order": "<string>",
"filters": {
"severity": ["<string>"],
"type": ["<string>"],
"estimated_created_at": {
"gt": "<string>",
"gte": "<string>",
"lt": "<string>",
"lte": "<string>"
},
"tags": ["<string>"],
"is_ignored": True,
"is_remediated": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: {},
size: 123,
from: '<string>',
order: '<string>',
filters: {
severity: ['<string>'],
type: ['<string>'],
estimated_created_at: {gt: '<string>', gte: '<string>', lt: '<string>', lte: '<string>'},
tags: ['<string>'],
is_ignored: true,
is_remediated: true
}
})
};

fetch('https://api.flare.io/firework/v4/events/tenant/_search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
    "items": [
        {
            "metadata": {
                "estimated_created_at": "2019-09-20T16:30:37.589388Z",
                "matched_at": "2019-09-21T10:15:22.123456Z",
                "type": "listing",
                "uid": "listing/apollon_market/9861",
                "severity": "critical"
            },
            "tenant_metadata": {
                "severity": {
                    "original": "low",
                    "override": "critical"
                },
                "tags": [
                    "important",
                ],
                "notes": "This reason why this is tagged as 'important' is: ..."
            },
            "identifiers": [
                {
                    "id": 1,
                    "name": "An identifier"
                }
            ],
            "highlights": {
                "description": [
                    "Bank Statement PSD <mark>Template</mark>\r\n\r\nWe promise:\r\n- Your order will be delivered instantly."
                ],
                "title": [
                    "Bank Statement PSD <mark>Template</mark>"
                ]
            }
        }
    ],
    "next": "WzE1Njg5OTcwMzc1ODksICJsaXN0aW5nL2Fwb2xsb25fbWFya2V0Lzk4NjEiXQ%3D%3D"
}
Returns a list of events matching the identifiers of the current tenant.

Guides

See the guide for using this endpoint: Exporting a Tenant’s Events .
{
    "items": [
        {
            "metadata": {
                "estimated_created_at": "2019-09-20T16:30:37.589388Z",
                "matched_at": "2019-09-21T10:15:22.123456Z",
                "type": "listing",
                "uid": "listing/apollon_market/9861",
                "severity": "critical"
            },
            "tenant_metadata": {
                "severity": {
                    "original": "low",
                    "override": "critical"
                },
                "tags": [
                    "important",
                ],
                "notes": "This reason why this is tagged as 'important' is: ..."
            },
            "identifiers": [
                {
                    "id": 1,
                    "name": "An identifier"
                }
            ],
            "highlights": {
                "description": [
                    "Bank Statement PSD <mark>Template</mark>\r\n\r\nWe promise:\r\n- Your order will be delivered instantly."
                ],
                "title": [
                    "Bank Statement PSD <mark>Template</mark>"
                ]
            }
        }
    ],
    "next": "WzE1Njg5OTcwMzc1ODksICJsaXN0aW5nL2Fwb2xsb25fbWFya2V0Lzk4NjEiXQ%3D%3D"
}

Paging

This endpoint supports the Flare standard paging pattern .

Body Parameters

query
object
One of the supported queries.
{
  "type": "domain",
  "fqdn": "<string>"
}
{
  "type": "email",
  "email": "<string>"
}
{
  "type": "keyword",
  "keyword": "<string>"
}
{
  "type": "query_string",
  "query_string": "<string>"
}
{
  "type": "username",
  "username": "<string>"
}
{
  "type": "github_repository",
  "repo_owner": "<string>"
  "repo_name": "<string>"
}
{
  "type": "brand",
  "name": "<string>"
}
{
  "type": "name",
  "first_name": "<string>"
  "last_name": "<string>"
  "is_strict": "<boolean>"
}
{
  "type": "bin",
  "bin": "<string>"
}
{
  "type": "ip",
  "ip": "<string>"
}
{
  "type": "credentials",
  "username": "<string>"
  "password": "<string>"
}
{
  "type": "secret",
  "secret": "<string>"
}
{
  "type": "azure_tenant",
  "tenant_id": "<string>"
}
size
number
Limit number of events that will be returned. (Max 10)
from
string
The next value from the last response.
order
string
default:"desc"
The order in which the results will be returned.
filters
object